#include "mbed.h"
#include "SI1143.h"

SI1143 sensor(p28, p27);
InterruptIn prox_meas(p29);
Serial bt(p13, p14);

DigitalOut led1(LED1);
DigitalOut led2(LED2);
DigitalOut led3(LED3);
DigitalOut led4(LED4);

int sense1;

void meas_int(){
    led1 = 1;
    sense1 = sensor.read_ps1();
    bt.printf("%d\r\n",sense1);
    sensor.clear_int();
}

int main()
{   
    // Setup the baseline
    // sensor.bias(1,10);
    wait(3);
    //led2 = 0;
    prox_meas.fall(&meas_int);
    sensor.start_ps_auto();
    
    while(1)
    {
        // Read each led sensor
        //sense1 = sensor.get_ps1(1);
                
        //Numeriacl output through terminal
        led1 = 0;
        //printf("%d\r\n",sense1);
        
        //led2 = !led2;
        //wait(.01);
    }
}
